Skip to main content
PUT
/
api
/
v1
/
tenant
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/tenant/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ACTIVE",
  "name": "<string>",
  "icon": "<string>",
  "logoLight": "<string>",
  "darkLogo": "<string>"
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "name": "<string>",
  "icon": "<string>",
  "logoLight": "<string>",
  "darkLogo": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
name
string

Tenant name

icon
string

Tenant icon

logoLight
string

Tenant light logo

Pattern: \s*|^https?.*

Tenant dark logo

Pattern: \s*|^https?.*

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
name
string

Tenant name

icon
string

Tenant icon

logoLight
string

Tenant light logo

Tenant dark logo